Bug 65991 - Help on Endnotes (Inserting and Editing Footnotes or Endnotes - Writer) gives not information on shortcut to move between anchor and footnote/endnote.
Summary: Help on Endnotes (Inserting and Editing Footnotes or Endnotes - Writer) gives...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: sdc.blanco
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures Footnote-Endnote
  Show dependency treegraph
 
Reported: 2013-06-21 03:56 UTC by Jason White
Modified: 2020-12-06 11:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason White 2013-06-21 03:56:35 UTC
For full keyboard accessibility (as needed for example by users of screen
readers) it should be possible to move between the body of a document and the
text of footnotes/endnotes via keyboard commands.

There is code in
http://cgit.freedesktop.org/libreoffice/core/tree/sw/source/ui/docvw/edtwin.cxx
(see the comments and code starting at line 1454) which is apparently supposed
to assign this functionality to alt-ctrl-pgup/pgdown, but in my testing, this
key combination does nothing.

Also, it isn't clear from the comment how this feature is supposed to work.
What is wanted is a mechanism to move from the footnote anchor in the body of
the document to the footnote text with a keyboard operation. Pgup (with no
modifiers) exits a footnote in my testing. I'm running Gnome with the default
Gnome 3.4 window manager.
Comment 1 Regina Henschel 2013-06-22 22:03:30 UTC
Please open the dialog to customize keyboard. Choose "Navigate" as category. Look in the command list for the command, e.g. "Edit Footnote/Endnote" or "To Previous Footnote". Select the command. In the field "Keys" you can see, which short cut is actually assigned to the command. Use the list in field "Shortcut keys" to assign or modify a shortcut.
Please keep in mind, that a shortcut cannot be uses by LO, if it is caught by the OS.
Comment 2 Jason White 2013-06-22 23:57:05 UTC
Thanks. It turned out to be ctrl-shift-pgdown on my system. I would say that
it's a low-priority documentation issue at this point.
Comment 3 Jean-Baptiste Faure 2013-07-13 20:10:45 UTC
Accordingly to comment #2 set to enhancement.

Best regards. JBF
Comment 4 Bala 2020-12-04 20:18:29 UTC
The keyboard shortcut for switching to edit Endnote/Footnote is Ctrl+Shift+PgDwn in my system (Windows 10) as well. Pressing the keys, has no effect.
Comment 5 Commit Notification 2020-12-06 11:56:25 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/609d466f02d63c43d42636627ee3b35e26df4661

tdf#65991 improve help for keyboard navigation with footnotes and endnotes